import React from 'react';
import DefaultHeader from './DefaultHeader';

export default class StepContent extends React.Component{
    render(){

        let HeaderComponent = this.props.step.headerComponent?this.props.step.headerComponent:DefaultHeader;
        let ContentComponent = this.props.step.contentComponent?this.props.step.contentComponent:DefaultHeader;

        return(
            <div key='stepContent'
                className={`stepContent ${this.props.stepContentClassName?this.props.stepContentClassName:''}`}>
                <HeaderComponent {...this.props}/>
                <ContentComponent {...this.props}/>
            </div>
        )
    }
}